# copyright (c) 2012 BuildEdge

# Sets up the extension info then register it to init everything else

require 'sketchup.rb'
require 'extensions.rb'

if not file_loaded?(__FILE__)

    module BuildEdge
        VENDOR = "BuildEdge"
        PLUGIN_NAME = "BuildEdge PLAN"
        YEAR = "2013"
        VERSION = "3.2"
        BUILD = "275"
        VERSION_QUALIFIER = "GA"
        
        init_file = "#{File.dirname(__FILE__)}/BuildEdgePlan/init.rb"
        buildedge_bim_extension = SketchupExtension.new("#{BuildEdge::PLUGIN_NAME}", init_file)

        buildedge_bim_extension.copyright = "Copyright #{BuildEdge::YEAR} BuildEdge"
        buildedge_bim_extension.creator = "BuildEdge http://www.buildedge.com/"
        buildedge_bim_extension.version = "#{BuildEdge::VERSION} #{BuildEdge::VERSION_QUALIFIER} #{BuildEdge::BUILD}"
        buildedge_bim_extension.description = "#{BuildEdge::PLUGIN_NAME}"
        
        Sketchup.register_extension(buildedge_bim_extension, true)

    end #module
    file_loaded(__FILE__)

end
